# $Revision: 1.17 $, $Date: 2012/02/11 09:11:32 $
#
# Conditional build:
%bcond_with	svga	# build with svgalib output support
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	Gnuplot
Summary:	Term::Gnuplot - lowlevel graphics using gnuplot drawing routines
Summary(pl.UTF-8):	Term::Gnuplot - niskopoziomowa grafika przy użyciu funkcji rysujących gnuplota
Name:		perl-Term-Gnuplot
Version:	0.90380905
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ceccd4e30deb6291ebecce176e715208
Patch0:		%{name}-vga.patch
URL:		http://search.cpan.org/dist/Term-Gnuplot/
BuildRequires:	gd-devel
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended for low-resolution or high-resolution graphics
using gnuplot low-level functions.

%description -l pl.UTF-8
Ten moduł jest przeznaczony do tworzenia grafiki niskiej lub wysokiej
rozdzielczości przy użyciu niskopoziomowych funkcji gnuplota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	TRY_LIBS="-lX11 -lm -lgd -lpng -lz %{?with_svga:-lvga}" \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test </dev/null}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/Gnuplot.pm
%dir %{perl_vendorarch}/auto/Term/Gnuplot
%{perl_vendorarch}/auto/Term/Gnuplot/Gnuplot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Term/Gnuplot/Gnuplot.so
%{_mandir}/man3/Term::Gnuplot*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-Gnuplot.spec,v $
Revision 1.17  2012/02/11 09:11:32  adamg
- release 6 (rebuild against libpng-1.5)

Revision 1.16  2011/12/20 19:36:04  arekm
- release 5

Revision 1.15  2010/06/06 08:43:01  arekm
- release 4

Revision 1.14  2010/04/21 17:06:22  arekm
- release 3

Revision 1.13  2008/02/10 12:20:36  arekm
- rel 2

Revision 1.12  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.9  2006/10/23 19:01:44  qboosh
- switched to modular xorg

Revision 1.8  2006/10/23 18:59:00  qboosh
- updated vga patch, added URL, release 1

Revision 1.7  2006/10/21 20:59:11  ankry
- ver. 0.90380905; patch needs update

Revision 1.6  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.5  2004/11/03 22:30:46  paladine
- formatting

Revision 1.4  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.3  2004/05/04 18:36:25  qboosh
- committed missing patch, lib64 fix

Revision 1.2  2004/05/02 17:35:08  ankry
- commented out non-existent patch (qboosh, where is it?)
- cosmetics

Revision 1.1  2003/10/25 19:21:44  qboosh
- new
